Summary: Utilities and scripts for power management
Name: pm-utils
Version: 1.4.1
Release: r1.0
License: GPLv2
Group: base
Packager: Wind River <info@windriver.com>
URL: http://pm-utils.freedesktop.org/wiki/
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: automake-native
Requires: rtld(GNU_HASH)
Requires: grep
Requires: /bin/bash
Requires: libc.so.6()(64bit)
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: /bin/sh

%description
Simple shell command line tools to suspend and hibernate.

%package -n pm-utils-dbg
Summary: Utilities and scripts for power management - Debugging files
Group: devel
Suggests: libc6-dbg(x86_64)
Recommends: pm-utils = 1.4.1-r1.0
Provides: pm-utils-dbg(x86_64) = 1.4.1-r1.0

%description -n pm-utils-dbg
Simple shell command line tools to suspend and hibernate.  This package
contains ELF symbols and related sources for debugging purposes.

%package -n pm-utils-staticdev
Summary: Utilities and scripts for power management - Development files (Static Libraries)
Group: devel
Requires: pm-utils-dev(x86_64) = 1.4.1-r1.0

%description -n pm-utils-staticdev
Simple shell command line tools to suspend and hibernate.  This package
contains static libraries for software development.

%package -n pm-utils-dev
Summary: Utilities and scripts for power management - Development files
Group: devel
Requires: pm-utils = 1.4.1-r1.0
Suggests: grep-dev
Suggests: libc6-dev(x86_64)
Provides: pm-utils-dev(x86_64) = 1.4.1-r1.0

%description -n pm-utils-dev
Simple shell command line tools to suspend and hibernate.  This package
contains symbolic links, header files, and related items necessary for
software development.

%package -n pm-utils-doc
Summary: Utilities and scripts for power management - Documentation files
Group: doc

%description -n pm-utils-doc
Simple shell command line tools to suspend and hibernate.  This package
contains documentation.

%package -n pm-utils-locale
Summary: Utilities and scripts for power management
Group: base

%description -n pm-utils-locale
Simple shell command line tools to suspend and hibernate.

%files
%defattr(-,-,-,-)
%dir "/etc"
%dir "/usr"
%dir "/etc/pm"
%dir "/etc/pm/power.d"
%dir "/etc/pm/config.d"
%dir "/etc/pm/sleep.d"
%dir "/usr/sbin"
%dir "/usr/bin"
%dir "/usr/lib64"
"/usr/sbin/pm-suspend-hybrid"
"/usr/sbin/pm-powersave"
"/usr/sbin/pm-suspend"
"/usr/sbin/pm-hibernate"
"/usr/bin/on_ac_power"
"/usr/bin/pm-is-supported"
%dir "/usr/lib64/pm-utils"
%dir "/usr/lib64/pm-utils/power.d"
%dir "/usr/lib64/pm-utils/module.d"
%dir "/usr/lib64/pm-utils/bin"
%dir "/usr/lib64/pm-utils/sleep.d"
"/usr/lib64/pm-utils/functions"
"/usr/lib64/pm-utils/pm-functions"
"/usr/lib64/pm-utils/defaults"
"/usr/lib64/pm-utils/power.d/laptop-mode"
"/usr/lib64/pm-utils/power.d/readahead"
"/usr/lib64/pm-utils/power.d/hal-cd-polling"
"/usr/lib64/pm-utils/power.d/pcie_aspm"
"/usr/lib64/pm-utils/power.d/harddrive"
"/usr/lib64/pm-utils/power.d/disable_wol"
"/usr/lib64/pm-utils/power.d/xfs_buffer"
"/usr/lib64/pm-utils/power.d/sata_alpm"
"/usr/lib64/pm-utils/power.d/intel-audio-powersave"
"/usr/lib64/pm-utils/power.d/wireless"
"/usr/lib64/pm-utils/power.d/sched-powersave"
"/usr/lib64/pm-utils/power.d/journal-commit"
"/usr/lib64/pm-utils/module.d/tuxonice"
"/usr/lib64/pm-utils/module.d/kernel"
"/usr/lib64/pm-utils/module.d/uswsusp"
"/usr/lib64/pm-utils/bin/pm-reset-swap"
"/usr/lib64/pm-utils/bin/pm-action"
"/usr/lib64/pm-utils/bin/service"
"/usr/lib64/pm-utils/bin/pm-pmu"
"/usr/lib64/pm-utils/sleep.d/95led"
"/usr/lib64/pm-utils/sleep.d/98video-quirk-db-handler"
"/usr/lib64/pm-utils/sleep.d/94cpufreq"
"/usr/lib64/pm-utils/sleep.d/90clock"
"/usr/lib64/pm-utils/sleep.d/99video"
"/usr/lib64/pm-utils/sleep.d/49bluetooth"
"/usr/lib64/pm-utils/sleep.d/01grub"
"/usr/lib64/pm-utils/sleep.d/00logging"
"/usr/lib64/pm-utils/sleep.d/55NetworkManager"
"/usr/lib64/pm-utils/sleep.d/00powersave"
"/usr/lib64/pm-utils/sleep.d/75modules"

%files -n pm-utils-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/lib64"
%dir "/usr/share"
%dir "/usr/src/debug"
%dir "/usr/src/debug/pm-utils"
%dir "/usr/src/debug/pm-utils/1.4.1-r1"
%dir "/usr/src/debug/pm-utils/1.4.1-r1/pm-utils-1.4.1"
%dir "/usr/src/debug/pm-utils/1.4.1-r1/pm-utils-1.4.1/src"
"/usr/src/debug/pm-utils/1.4.1-r1/pm-utils-1.4.1/src/pm-reset-swap.c"
"/usr/src/debug/pm-utils/1.4.1-r1/pm-utils-1.4.1/src/pm-pmu.c"
%dir "/usr/lib64/pm-utils"
%dir "/usr/lib64/pm-utils/bin"
%dir "/usr/lib64/pm-utils/bin/.debug"
"/usr/lib64/pm-utils/bin/.debug/pm-reset-swap"
"/usr/lib64/pm-utils/bin/.debug/pm-pmu"
%dir "/usr/share/doc"
%dir "/usr/share/doc/pm-utils"
"/usr/share/doc/pm-utils/README.debugging"

%files -n pm-utils-dev
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/lib64"
%dir "/usr/lib64/pkgconfig"
"/usr/lib64/pkgconfig/pm-utils.pc"

%files -n pm-utils-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/man"
%dir "/usr/share/doc"
%dir "/usr/share/man/man8"
%dir "/usr/share/man/man1"
"/usr/share/man/man8/pm-suspend-hybrid.8"
"/usr/share/man/man8/pm-suspend.8"
"/usr/share/man/man8/pm-action.8"
"/usr/share/man/man8/pm-hibernate.8"
"/usr/share/man/man8/pm-powersave.8"
"/usr/share/man/man8/pm-pmu.8"
"/usr/share/man/man1/pm-is-supported.1"
"/usr/share/man/man1/on_ac_power.1"
%dir "/usr/share/doc/pm-utils"
"/usr/share/doc/pm-utils/README.distributions"
"/usr/share/doc/pm-utils/HOWTO.modules"
"/usr/share/doc/pm-utils/README"
"/usr/share/doc/pm-utils/HOWTO.hooks"

